﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication39
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = DummyDataCreator.GetData(100, new Type[] { typeof(string), typeof(string), typeof(string), typeof(string) });
            this.ultraGrid1.SetDataBinding(dt, null);
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            TextBox tb = (TextBox)sender;
            UltraGrid grid = this.ultraGrid1;            
            UltraGridBand band = this.ultraGrid1.DisplayLayout.Bands[0];

            band.ColumnFilters.ClearAllFilters();

            string filterString = tb.Text.Trim();
            if (string.IsNullOrEmpty(filterString))
                return;

            band.ColumnFilters.LogicalOperator = FilterLogicalOperator.Or;
            
            foreach (UltraGridColumn column in band.Columns)
            {
                if (column.HiddenResolved)
                    continue;

                band.ColumnFilters[column].FilterConditions.Add(FilterComparisionOperator.Contains, filterString);
            }                       
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];

            band.ColumnFilters.LogicalOperator = FilterLogicalOperator.Or;
            band.Columns["Key"].Hidden = true;
        }
    }
}
